Jump to content

COD4 1.8 Security Patch - how to update to COD4 1.8 patch 1.0.0


About This File

COD4 - call of duty 4 - client 1.8 security patch. How to update your COD4 to 1.8 pach -

 

If you are on 1.7, please download this and replace it with your current iw3mp.exe. It will move you to 1.8 client patch version for multi player.. Now you will be able to join 1.8 patch.

 

Steam clients are auto updated. CD and old users - need to manually patch their client. 

 

Please ask for support if you required assistance. We are here to help.

 Share


×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.